Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.views
Class GradientVisualiserRenderer

    java.lang.Object
      org.eclipse.contribution.visualiser.views.ClassicVisualiserRenderer
          org.eclipse.contribution.visualiser.views.DefaultVisualiserRenderer
              org.eclipse.contribution.visualiser.views.GradientVisualiserRenderer

All Implemented Interfaces:
  IVisualiserRenderer

Direct Known Subclasses:
  CylinderRenderer

public class GradientVisualiserRenderer
extends DefaultVisualiserRenderer

Just like the "default" style, but gradient filled.

Author:
  mchapman

Constructor Summary
`GradientVisualiserRenderer()`

Method Summary
`void` | `paintColumn(org.eclipse.swt.graphics.GC gc, IMember m, int x, int yoff, int colWidth, int colHeight, boolean affected)` Paint the actual column (but not any stripes)

Methods inherited from class org.eclipse.contribution.visualiser.views.DefaultVisualiserRenderer
`getColumnHeaderHeight, getMarginSize, getSpacing, paintColumnHeader`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GradientVisualiserRenderer

    public GradientVisualiserRenderer()

Method Detail

### paintColumn

    public void paintColumn(org.eclipse.swt.graphics.GC gc,
                            IMember m,
                            int x,
                            int yoff,
                            int colWidth,
                            int colHeight,
                            boolean affected)

  Description copied from interface: `IVisualiserRenderer`
  Paint the actual column (but not any stripes)

  Specified by:
    `paintColumn` in interface `IVisualiserRenderer`
  Overrides:
    `paintColumn` in class `DefaultVisualiserRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD